Bug 831601 - [abrt] zenity-3.4.0-1.fc17: zenity_tree_dialog_response: Process /usr/bin/zenity was killed by signal 11 (SIGSEGV)
[abrt] zenity-3.4.0-1.fc17: zenity_tree_dialog_response: Process /usr/bin/zen...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zenity (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:401cc2fc54a660bc88392eb1803...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 08:15 EDT by Thomas Spear
Modified: 2013-08-01 00:04 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.40 KB, text/plain)
2012-06-13 08:15 EDT, Thomas Spear
no flags Details
File: coredump (2.50 MB, text/plain)
2012-06-13 08:15 EDT, Thomas Spear
no flags Details
File: maps (20.42 KB, text/plain)
2012-06-13 08:15 EDT, Thomas Spear
no flags Details
File: dso_list (5.94 KB, text/plain)
2012-06-13 08:15 EDT, Thomas Spear
no flags Details

  None (edit)
Description Thomas Spear 2012-06-13 08:15:09 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        zenity --title 'Winetricks - choose a wineprefix' --text 'What do you want to do?' --list --radiolist --column '' --column '' --column '' --height 500 --width 1010 --hide-column 2 FALSE help 'View help' FALSE apps 'Install an app' FALSE benchmarks 'Install a benchmark' FALSE games 'Install a game' TRUE main 'Select the default wineprefix' FALSE unattended 'Enable silent install' FALSE showbroken 'Show broken apps (e.g. those with DRM problems)'
comment:        winetricks installing dotnet20 package. Got this while the GUI was running at some point. Not exactly sure what caused it within winetricks though.
crash_function: zenity_tree_dialog_response
executable:     /usr/bin/zenity
kernel:         3.4.0-1.fc17.i686
pid:            6359
pwd:            /home/grandkids
time:           Wed 13 Jun 2012 07:01:06 AM CDT
uid:            1001
username:       grandkids

backtrace:      Text file, 24983 bytes
dso_list:       Text file, 6083 bytes
maps:           Text file, 20913 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/grandkids/7

core_backtrace:
:5cd946d39ec1864a4c1af8284d7408bd24839a66 0xbeee - [exe] -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xefea g_cclosure_marshal_VOID(int0_t) libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1064da gtk_dialog_response libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1068e7 - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xebbf g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xab70a gtk_button_clicked libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xacdf8 - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb4f g_cclosure_marshal_VOID__VOID libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xbbbe - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1e3c3 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xaab26 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x186c81 - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xb668 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2d0e73 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1846cc - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x186850 gtk_main_do_event libgtk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x1c5ed - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x45769 - libgdk-3.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1859fd gtk_main libgtk-3.so.0 -
:5cd946d39ec1864a4c1af8284d7408bd24839a66 0xc82e - [exe] -
:5cd946d39ec1864a4c1af8284d7408bd24839a66 0x4ef2 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=7
:HOSTNAME=linux.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/grandkids/keyring-7jLjRr/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=31457285
:GNOME_KEYRING_CONTROL=/run/user/grandkids/keyring-7jLjRr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=grandkids
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/grandkids/keyring-7jLjRr/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3051,unix/unix:/tmp/.ICE-unix/3051
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/grandkids/.local/bin:/home/grandkids/bin
:MAIL=/var/spool/mail/grandkids
:DESKTOP_SESSION=gnome
:_=/usr/bin/zenity
:QT_IM_MODULE=xim
:PWD=/home/grandkids
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=3047
:LANG=en_US.UTF-8
:WINEPREFIX=/home/grandkids/.wine
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/grandkids
:SHLVL=4
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=grandkids
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-BqFPS99IIq,guid=8fbc00cadf90968fc167f2cf00000411
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/grandkids
:DISPLAY=:1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-grandkids-DXPpOr/database

event_log:
:2012-06-13-07:09:45> Querying server settings
:2012-06-13-07:09:46  Preparing an archive to upload
:2012-06-13-07:09:48  Uploading 501880 bytes
:2012-06-13-07:09:51  Upload successful
:2012-06-13-07:09:52  Retrace job started
:2012-06-13-07:10:03  Initializing virtual root
:2012-06-13-07:10:13  Initializing virtual root
:2012-06-13-07:10:24  Initializing virtual root
:2012-06-13-07:10:34  Initializing virtual root
:2012-06-13-07:10:44  Initializing virtual root
:2012-06-13-07:10:55  Initializing virtual root
:2012-06-13-07:11:05  Initializing virtual root
:2012-06-13-07:11:16  Initializing virtual root
:2012-06-13-07:11:26  Initializing virtual root
:2012-06-13-07:11:37  Initializing virtual root
:2012-06-13-07:11:47  Initializing virtual root
:2012-06-13-07:11:57  Initializing virtual root
:2012-06-13-07:12:08  Initializing virtual root
:2012-06-13-07:12:18  Initializing virtual root
:2012-06-13-07:12:28  Retrace job finished successfully
:2012-06-13-07:12:58> Element 'xsession_errors' saved
:2012-06-13-07:13:09> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7893                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7893                 7893                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:1:pipe:[159633]
:2:/dev/pts/0
:3:socket:[159634]
:4:anon_inode:[eventfd]
:5:socket:[159640]

smolt_data:
:
:
:General
:=================================
:UUID: 9306eb18-1417-4fbe-9a9b-4b489a192746
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3588.91
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 1.80GHz
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 1
:Number of CPUs: 1
:CPU Speed: 1794
:System Memory: 1003
:System Swap: 2015
:Vendor: Dell Computer Corporation
:System: Dimension 8200 
:Form factor: Mini Tower
:Kernel: 3.4.0-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4354:28674:4354:32) pci, Emu10k1_gameport, INPUT, Gameport Joystick
:(4354:2:4354:32802) pci, snd_emu10k1, MULTIMEDIA_AUDIO, CT4780 SBLive! Value
:(32902:9283:4136:268) pci, i801_smbus, SERIAL, 82801BA/BAM SMBus Controller
:(32902:9282:4136:268) pci, uhci_hcd, USB, 82801BA/BAM USB Controller #1
:(32902:9291:4136:268) pci, ata_piix, STORAGE, 82801BA IDE U100 Controller
:(32902:9280:0:0) pci, None, PCI/ISA, 82801BA ISA Bridge (LPC)
:(32902:9284:4136:268) pci, uhci_hcd, USB, 82801BA/BAM USB Controller #1
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(4318:272:4318:271) pci, nouveau, VIDEO, NV11 [GeForce2 MX/MX 400]
:(32902:9520:4136:268) pci, agpgart-intel, HOST/PCI, 82850 850 (Tehama) Chipset Host Bridge (MCH)
:(4738:37122:17748:17230) pci, dmfe, ETHERNET, 21x4x DEC-Tulip compatible 10/100 Ethernet
:(5361:8214:5088:537) pci, None, SIMPLE, HSF 56k Data/Fax/Voice/Spkp Modem
:(32902:9522:0:0) pci, None, PCI/PCI, 82850 850 (Tehama) Chipset AGP Bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_linux-lv_root / ext4 4096 4096 3876782 2854720 2815897 974848 860228 860228
:/dev/sda2 /boot ext4 1024 1024 508745 426823 401223 128016 127668 127668
:/dev/sr0 WITHHELD udf UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:

var_log_messages:
:Jun 13 07:01:06 linux kernel: [ 5745.751790] zenity[6359]: segfault at 32 ip 08053eee sp bfea8e30 error 4 in zenity[8048000+13000]
:Jun 13 07:01:06 linux abrt[6383]: Saved core dump of pid 6359 (/usr/bin/zenity) to /var/spool/abrt/ccpp-2012-06-13-07:01:06-6359 (2625536 bytes)

xsession_errors:
:abrt-applet: repeated problem in zenity-3.4.0-1.fc17, not showing the notification
:abrt-applet: repeated problem in zenity-3.4.0-1.fc17, not showing the notification
:abrt-applet: repeated problem in zenity-3.4.0-1.fc17, not showing the notification
:abrt-applet: repeated problem in zenity-3.4.0-1.fc17, not showing the notification
Comment 1 Thomas Spear 2012-06-13 08:15:14 EDT
Created attachment 591459 [details]
File: backtrace
Comment 2 Thomas Spear 2012-06-13 08:15:45 EDT
Created attachment 591460 [details]
File: coredump
Comment 3 Thomas Spear 2012-06-13 08:15:47 EDT
Created attachment 591461 [details]
File: maps
Comment 4 Thomas Spear 2012-06-13 08:15:49 EDT
Created attachment 591462 [details]
File: dso_list
Comment 5 Thomas Spear 2012-06-14 18:43:26 EDT
This occurs on an older Dell Machine that I'm working on for a friend. I have limited time to test any proposed patches, and it won't have internet access once I return it to my friend as it is going to be used for edutainment games for a small child.

I don't know the model number offhand, but its running a Willamette P4 with 1GB of RDRAM. Its the only machine of several (different hardware) that I have that is having this problem. All of my other machines are x86_64 while this one is i686, so not certain if its a problem due to the fact that its an i686 issue, or a BIOS bug, or perhaps a problem with the video driver. I'll have to check what kind of card it has when I get some time.
Comment 6 Dan Kegel 2012-07-21 15:02:41 EDT
Dup of bug 811401?
Comment 7 Raphaël Flores 2012-08-14 16:49:43 EDT
Execution of script used to compress photos provoked  zenity crash, which occured after size screen, selected 1280*1024.
See attached file for script.


backtrace_rating: 4
Package: zenity-3.4.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Raphaël Flores 2012-08-14 16:54:26 EDT
To be more precise, the following cmd line is responsible of zenity bug in attached script: 

imgsize=`zenity --title "$txt_title" --text "$txt_text" --list --radiolist --separator=" " --column="" --column="$txt_size" FALSE "160x120" FALSE "320x240" FALSE "640x480" FALSE "800x600" FALSE "1024x768" FALSE "1280x720" TRUE "1280x1024" --height=220`
Comment 9 Fedora End Of Life 2013-07-03 20:24:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 00:04:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.